> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contextual.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Consent

> Update the consent status for the workspace.



## OpenAPI

````yaml api-reference/openapi.json put /workspaces/consent
openapi: 3.1.0
info:
  title: Endpoints
  version: '1.0'
servers:
  - url: https://api.contextual.ai/v1
security:
  - BearerAuth: []
paths:
  /workspaces/consent:
    put:
      tags:
        - /workspaces
      summary: Update Consent
      description: Update the consent status for the workspace.
      operationId: update_consent_workspaces_consent_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateConsentRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateConsentRequest:
      properties:
        type:
          $ref: '#/components/schemas/ConsentType'
          description: The new consent status
      type: object
      required:
        - type
      title: UpdateConsentRequest
      description: Request to update the consent status for the workspace.
    EmptyResponse:
      properties: {}
      type: object
      title: EmptyResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConsentType:
      type: string
      enum:
        - CONSENT_FULL
        - CONSENT_SUPPORT
        - REVOKE
        - UNKNOWN
      title: ConsentType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````